import type { SanitizedCollectionConfig } from '../../../collections/config/types.js';
import type { RequestContext } from '../../../index.js';
import type { JsonObject, PayloadRequest } from '../../../types/index.js';
import type { Field, TabAsField } from '../../config/types.js';
type Args<T> = {
    collection: null | SanitizedCollectionConfig;
    context: RequestContext;
    doc: T;
    fields: (Field | TabAsField)[];
    id?: number | string;
    overrideAccess: boolean;
    path: (number | string)[];
    req: PayloadRequest;
    schemaPath: string[];
    siblingDoc: JsonObject;
};
export declare const traverseFields: <T>({ id, collection, context, doc, fields, overrideAccess, path, req, schemaPath, siblingDoc, }: Args<T>) => Promise<void>;
type PromiseArgs<T> = {
    collection: null | SanitizedCollectionConfig;
    context: RequestContext;
    doc: T;
    field: Field | TabAsField;
    fieldIndex: number;
    id?: number | string;
    overrideAccess: boolean;
    parentPath: (number | string)[];
    parentSchemaPath: string[];
    req: PayloadRequest;
    siblingDoc: JsonObject;
};
export declare const promise: <T>({ id, collection, context, doc, field, fieldIndex, overrideAccess, parentPath, parentSchemaPath, req, siblingDoc, }: PromiseArgs<T>) => Promise<void>;
export {};
//# sourceMappingURL=traverseFields.d.ts.map